<html>
<head>
<title>OgrePixelFormat.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgrePixelFormat.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgrePixelFormat_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef _PixelFormat_H__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define _PixelFormat_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>&quot;</span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgreCommon_8h.html">OgreCommon.h</a>&quot;</span>
<a name="l00033"></a>00033 
<a name="l00034"></a>00034 <span class="keyword">namespace </span>Ogre {
<a name="l00042"></a><a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">00042</a>     <span class="keyword">enum</span> <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a>
<a name="l00043"></a>00043     {
<a name="l00045"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39caa4292ed700edc51d74776f6efaf2a099">00045</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39caa4292ed700edc51d74776f6efaf2a099" title="Unknown pixel format.">PF_UNKNOWN</a> = 0,
<a name="l00047"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca3768d051f35904ebf8f6201d7418d8b0">00047</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca3768d051f35904ebf8f6201d7418d8b0" title="8-bit pixel format, all bits luminance.">PF_L8</a> = 1,
<a name="l00048"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca1cf8abcb869132891b49e7f50daf7089">00048</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca1cf8abcb869132891b49e7f50daf7089">PF_BYTE_L</a> = <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca3768d051f35904ebf8f6201d7418d8b0" title="8-bit pixel format, all bits luminance.">PF_L8</a>,
<a name="l00050"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39caae5da8ca83986d2d797611f4198d019e">00050</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39caae5da8ca83986d2d797611f4198d019e" title="16-bit pixel format, all bits luminance.">PF_L16</a> = 2,
<a name="l00051"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca10b290ca956b26e83bfae90cc981a702">00051</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca10b290ca956b26e83bfae90cc981a702">PF_SHORT_L</a> = <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39caae5da8ca83986d2d797611f4198d019e" title="16-bit pixel format, all bits luminance.">PF_L16</a>,
<a name="l00053"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca7232d786fe8e621fb39677c922713af3">00053</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca7232d786fe8e621fb39677c922713af3" title="8-bit pixel format, all bits alpha.">PF_A8</a> = 3,
<a name="l00054"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca7e333b6272d7a66213c1c02ad45ea754">00054</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca7e333b6272d7a66213c1c02ad45ea754">PF_BYTE_A</a> = <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca7232d786fe8e621fb39677c922713af3" title="8-bit pixel format, all bits alpha.">PF_A8</a>,
<a name="l00056"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca6def78fc28fd3bebea2d24d61f134894">00056</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca6def78fc28fd3bebea2d24d61f134894" title="8-bit pixel format, 4 bits alpha, 4 bits luminance.">PF_A4L4</a> = 4,
<a name="l00058"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39cac4780c5502f1ebdc5f5569d3b887249d">00058</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39cac4780c5502f1ebdc5f5569d3b887249d" title="2 byte pixel format, 1 byte luminance, 1 byte alpha">PF_BYTE_LA</a> = 5,
<a name="l00060"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca8c999dec166c197c19935e6a122c9429">00060</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca8c999dec166c197c19935e6a122c9429" title="16-bit pixel format, 5 bits red, 6 bits green, 5 bits blue.">PF_R5G6B5</a> = 6,
<a name="l00062"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39caff9e5d2b3d56a3ddaa764d9b3e95df1d">00062</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39caff9e5d2b3d56a3ddaa764d9b3e95df1d" title="16-bit pixel format, 5 bits red, 6 bits green, 5 bits blue.">PF_B5G6R5</a> = 7,
<a name="l00064"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca00c7bec590f83728fc012731d8632ea0">00064</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca00c7bec590f83728fc012731d8632ea0" title="8-bit pixel format, 2 bits blue, 3 bits green, 3 bits red.">PF_R3G3B2</a> = 31,
<a name="l00066"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca7d8dabde5a33706ce0065a545da7cdbf">00066</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca7d8dabde5a33706ce0065a545da7cdbf" title="16-bit pixel format, 4 bits for alpha, red, green and blue.">PF_A4R4G4B4</a> = 8,
<a name="l00068"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca953b1956667f02c5d06a4f89c708beca">00068</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca953b1956667f02c5d06a4f89c708beca" title="16-bit pixel format, 5 bits for blue, green, red and 1 for alpha.">PF_A1R5G5B5</a> = 9,
<a name="l00070"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca32d32d3a5a8b68c1495d5c494575a6d8">00070</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca32d32d3a5a8b68c1495d5c494575a6d8" title="24-bit pixel format, 8 bits for red, green and blue.">PF_R8G8B8</a> = 10,
<a name="l00072"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca6d2975b1eca65162dd4c24b1e180e23d">00072</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca6d2975b1eca65162dd4c24b1e180e23d" title="24-bit pixel format, 8 bits for blue, green and red.">PF_B8G8R8</a> = 11,
<a name="l00074"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca0d5c9bdb0633c1849758fea566a2b754">00074</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca0d5c9bdb0633c1849758fea566a2b754" title="32-bit pixel format, 8 bits for alpha, red, green and blue.">PF_A8R8G8B8</a> = 12,
<a name="l00076"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39cabedff220dc4f3ed679bf246c14ce3df6">00076</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39cabedff220dc4f3ed679bf246c14ce3df6" title="32-bit pixel format, 8 bits for blue, green, red and alpha.">PF_A8B8G8R8</a> = 13,
<a name="l00078"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39cabe2587bd69dbf21806c40fe1c82a22ef">00078</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39cabe2587bd69dbf21806c40fe1c82a22ef" title="32-bit pixel format, 8 bits for blue, green, red and alpha.">PF_B8G8R8A8</a> = 14,
<a name="l00080"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca74ea3b1c0c5f4ae06b1a7136c5523eca">00080</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca74ea3b1c0c5f4ae06b1a7136c5523eca" title="32-bit pixel format, 8 bits for red, green, blue and alpha.">PF_R8G8B8A8</a> = 28,
<a name="l00083"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca2542d39f6712cb6f69907330a31a9342">00083</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca2542d39f6712cb6f69907330a31a9342" title="32-bit pixel format, 8 bits for red, 8 bits for green, 8 bits for blue like PF_A8R8G8B8, but alpha will get discarded">PF_X8R8G8B8</a> = 26,
<a name="l00086"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca32ab31260e738578912b5797406867ec">00086</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca32ab31260e738578912b5797406867ec" title="32-bit pixel format, 8 bits for blue, 8 bits for green, 8 bits for red like PF_A8B8G8R8, but alpha will get discarded">PF_X8B8G8R8</a> = 27,
<a name="l00087"></a>00087 <span class="preprocessor">#if OGRE_ENDIAN == OGRE_ENDIAN_BIG</span>
<a name="l00088"></a>00088 <span class="preprocessor"></span>
<a name="l00089"></a>00089         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39caa2fa4ac766d61fa65b4c86ea5c035218" title="3 byte pixel format, 1 byte for red, 1 byte for green, 1 byte for blue">PF_BYTE_RGB</a> = <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca32d32d3a5a8b68c1495d5c494575a6d8" title="24-bit pixel format, 8 bits for red, green and blue.">PF_R8G8B8</a>,
<a name="l00091"></a>00091         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca5e30f679089407e29f6cff86101daed9" title="3 byte pixel format, 1 byte for blue, 1 byte for green, 1 byte for red">PF_BYTE_BGR</a> = <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca6d2975b1eca65162dd4c24b1e180e23d" title="24-bit pixel format, 8 bits for blue, green and red.">PF_B8G8R8</a>,
<a name="l00093"></a>00093         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca8048c85373860a1893d237ac89d3712f" title="4 byte pixel format, 1 byte for blue, 1 byte for green, 1 byte for red and one byte for alpha...">PF_BYTE_BGRA</a> = <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39cabe2587bd69dbf21806c40fe1c82a22ef" title="32-bit pixel format, 8 bits for blue, green, red and alpha.">PF_B8G8R8A8</a>,
<a name="l00095"></a>00095         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39cae0afb06af1cb73f624e66540c64bb2cb" title="4 byte pixel format, 1 byte for red, 1 byte for green, 1 byte for blue, and one byte for alpha...">PF_BYTE_RGBA</a> = <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca74ea3b1c0c5f4ae06b1a7136c5523eca" title="32-bit pixel format, 8 bits for red, green, blue and alpha.">PF_R8G8B8A8</a>,
<a name="l00096"></a>00096 <span class="preprocessor">#else</span>
<a name="l00097"></a>00097 <span class="preprocessor"></span>
<a name="l00098"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39caa2fa4ac766d61fa65b4c86ea5c035218">00098</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39caa2fa4ac766d61fa65b4c86ea5c035218" title="3 byte pixel format, 1 byte for red, 1 byte for green, 1 byte for blue">PF_BYTE_RGB</a> = <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca6d2975b1eca65162dd4c24b1e180e23d" title="24-bit pixel format, 8 bits for blue, green and red.">PF_B8G8R8</a>,
<a name="l00100"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca5e30f679089407e29f6cff86101daed9">00100</a>         PF_BYTE_BGR = <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca32d32d3a5a8b68c1495d5c494575a6d8" title="24-bit pixel format, 8 bits for red, green and blue.">PF_R8G8B8</a>,
<a name="l00102"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca8048c85373860a1893d237ac89d3712f">00102</a>         PF_BYTE_BGRA = <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca0d5c9bdb0633c1849758fea566a2b754" title="32-bit pixel format, 8 bits for alpha, red, green and blue.">PF_A8R8G8B8</a>,
<a name="l00104"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39cae0afb06af1cb73f624e66540c64bb2cb">00104</a>         PF_BYTE_RGBA = <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39cabedff220dc4f3ed679bf246c14ce3df6" title="32-bit pixel format, 8 bits for blue, green, red and alpha.">PF_A8B8G8R8</a>,
<a name="l00105"></a>00105 <span class="preprocessor">#endif        </span>
<a name="l00106"></a>00106 <span class="preprocessor"></span>
<a name="l00107"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca134a9e452ee64c35921f5ce518c90f89">00107</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca134a9e452ee64c35921f5ce518c90f89" title="32-bit pixel format, 2 bits for alpha, 10 bits for red, green and blue.">PF_A2R10G10B10</a> = 15,
<a name="l00109"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca383f7cd3ec0a48beff43f1c07a0a9e08">00109</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca383f7cd3ec0a48beff43f1c07a0a9e08" title="32-bit pixel format, 10 bits for blue, green and red, 2 bits for alpha.">PF_A2B10G10R10</a> = 16,
<a name="l00111"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca502daed32e87628ed5a570349cc3a365">00111</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca502daed32e87628ed5a570349cc3a365" title="DDS (DirectDraw Surface) DXT1 format.">PF_DXT1</a> = 17,
<a name="l00113"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39cabab4b525ed0f13723c54a1a7da8bcbb6">00113</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39cabab4b525ed0f13723c54a1a7da8bcbb6" title="DDS (DirectDraw Surface) DXT2 format.">PF_DXT2</a> = 18,
<a name="l00115"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca8cdfa2821acc653732e0a0f855b05057">00115</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca8cdfa2821acc653732e0a0f855b05057" title="DDS (DirectDraw Surface) DXT3 format.">PF_DXT3</a> = 19,
<a name="l00117"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca8d3736e589a038b18f5a4e11a942d50d">00117</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca8d3736e589a038b18f5a4e11a942d50d" title="DDS (DirectDraw Surface) DXT4 format.">PF_DXT4</a> = 20,
<a name="l00119"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca9fb5bd78b703661f41fc3ae06a3404ce">00119</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca9fb5bd78b703661f41fc3ae06a3404ce" title="DDS (DirectDraw Surface) DXT5 format.">PF_DXT5</a> = 21,
<a name="l00120"></a>00120         <span class="comment">// 16-bit pixel format, 16 bits (float) for red</span>
<a name="l00121"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39cab63dbcddd53d1f766d742fd557c26be4">00121</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39cab63dbcddd53d1f766d742fd557c26be4">PF_FLOAT16_R</a> = 32,
<a name="l00122"></a>00122         <span class="comment">// 48-bit pixel format, 16 bits (float) for red, 16 bits (float) for green, 16 bits (float) for blue</span>
<a name="l00123"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39caba6d399bba73f13acee7497b0dce9d6a">00123</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39caba6d399bba73f13acee7497b0dce9d6a">PF_FLOAT16_RGB</a> = 22,
<a name="l00124"></a>00124         <span class="comment">// 64-bit pixel format, 16 bits (float) for red, 16 bits (float) for green, 16 bits (float) for blue, 16 bits (float) for alpha</span>
<a name="l00125"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39caf91793bc9707d6541f4851722267317a">00125</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39caf91793bc9707d6541f4851722267317a">PF_FLOAT16_RGBA</a> = 23,
<a name="l00126"></a>00126         <span class="comment">// 32-bit pixel format, 32 bits (float) for red</span>
<a name="l00127"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca2da3ec4fe727d552337e02069cd9efd9">00127</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca2da3ec4fe727d552337e02069cd9efd9">PF_FLOAT32_R</a> = 33,
<a name="l00128"></a>00128         <span class="comment">// 96-bit pixel format, 32 bits (float) for red, 32 bits (float) for green, 32 bits (float) for blue</span>
<a name="l00129"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca8bd985050584e5ec421f8afc90634ea3">00129</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca8bd985050584e5ec421f8afc90634ea3">PF_FLOAT32_RGB</a> = 24,
<a name="l00130"></a>00130         <span class="comment">// 128-bit pixel format, 32 bits (float) for red, 32 bits (float) for green, 32 bits (float) for blue, 32 bits (float) for alpha</span>
<a name="l00131"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca1fe97e102d975ff9d70dc329f5d794ec">00131</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca1fe97e102d975ff9d70dc329f5d794ec">PF_FLOAT32_RGBA</a> = 25,
<a name="l00132"></a>00132         <span class="comment">// 32-bit, 2-channel s10e5 floating point pixel format, 16-bit green, 16-bit red</span>
<a name="l00133"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39cac7db24f02e2110aee18dcc2535d5755d">00133</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39cac7db24f02e2110aee18dcc2535d5755d">PF_FLOAT16_GR</a> = 35,
<a name="l00134"></a>00134         <span class="comment">// 64-bit, 2-channel floating point pixel format, 32-bit green, 32-bit red</span>
<a name="l00135"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca0f4697d37ebb958247166694666b0b3f">00135</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca0f4697d37ebb958247166694666b0b3f">PF_FLOAT32_GR</a> = 36,
<a name="l00136"></a>00136         <span class="comment">// Depth texture format</span>
<a name="l00137"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39caa9a73e89b0461099bd6e707e407e1aa5">00137</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39caa9a73e89b0461099bd6e707e407e1aa5">PF_DEPTH</a> = 29,
<a name="l00138"></a>00138         <span class="comment">// 64-bit pixel format, 16 bits for red, green, blue and alpha</span>
<a name="l00139"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca0a88817c662a408aac3077199b0498e8">00139</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca0a88817c662a408aac3077199b0498e8">PF_SHORT_RGBA</a> = 30,
<a name="l00140"></a>00140         <span class="comment">// 32-bit pixel format, 16-bit green, 16-bit red</span>
<a name="l00141"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca7dbc4fa24cdbf90139bc60e771ad58a0">00141</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca7dbc4fa24cdbf90139bc60e771ad58a0">PF_SHORT_GR</a> = 34,
<a name="l00142"></a>00142         <span class="comment">// 48-bit pixel format, 16 bits for red, green and blue</span>
<a name="l00143"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca734a52bfdd9b7f44805f6ef8f96a6224">00143</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca734a52bfdd9b7f44805f6ef8f96a6224">PF_SHORT_RGB</a> = 37,
<a name="l00145"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39cad1cafabc495bc6276a35efb4a6509801">00145</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39cad1cafabc495bc6276a35efb4a6509801" title="PVRTC (PowerVR) RGB 2 bpp.">PF_PVRTC_RGB2</a> = 38,
<a name="l00147"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca5b4b981ed59cf84a234ce673c4ba41cd">00147</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca5b4b981ed59cf84a234ce673c4ba41cd" title="PVRTC (PowerVR) RGBA 2 bpp.">PF_PVRTC_RGBA2</a> = 39,
<a name="l00149"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca1eb36d25f51656c7553f9461638da350">00149</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca1eb36d25f51656c7553f9461638da350" title="PVRTC (PowerVR) RGB 4 bpp.">PF_PVRTC_RGB4</a> = 40,
<a name="l00151"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca9e298c62006c2d8c521fa783ef966b98">00151</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca9e298c62006c2d8c521fa783ef966b98" title="PVRTC (PowerVR) RGBA 4 bpp.">PF_PVRTC_RGBA4</a> = 41,
<a name="l00153"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39cac9a846decc5febd638272391346c0a97">00153</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39cac9a846decc5febd638272391346c0a97" title="8-bit pixel format, all bits red.">PF_R8</a> = 42,
<a name="l00155"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39caf989cdb2a57a8ae4f0e9618e2fc411b1">00155</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39caf989cdb2a57a8ae4f0e9618e2fc411b1" title="16-bit pixel format, 8 bits red, 8 bits green.">PF_RG8</a> = 43,
<a name="l00156"></a>00156         <span class="comment">// Number of pixel formats currently defined</span>
<a name="l00157"></a><a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca44469cb753c29f07cba54678a57319a1">00157</a>         <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca44469cb753c29f07cba54678a57319a1">PF_COUNT</a> = 44
<a name="l00158"></a>00158     };
<a name="l00159"></a><a class="code" href="group__Image.html#ga7267e8cb21c010de075e82ffbc6a572b">00159</a>     <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1vector.html">vector&lt;PixelFormat&gt;::type</a> <a class="code" href="group__Image.html#ga7267e8cb21c010de075e82ffbc6a572b">PixelFormatList</a>;
<a name="l00160"></a>00160 
<a name="l00164"></a><a class="code" href="group__Image.html#ga7d83be5f58ab829ae3c94ddcf7b68bab">00164</a>     <span class="keyword">enum</span> <a class="code" href="group__Image.html#ga7d83be5f58ab829ae3c94ddcf7b68bab" title="Flags defining some on/off properties of pixel formats.">PixelFormatFlags</a> {
<a name="l00165"></a>00165         <span class="comment">// This format has an alpha channel</span>
<a name="l00166"></a><a class="code" href="group__Image.html#gga7d83be5f58ab829ae3c94ddcf7b68baba5a5420b4748d6fa0315bcfe592224671">00166</a>         <a class="code" href="group__Image.html#gga7d83be5f58ab829ae3c94ddcf7b68baba5a5420b4748d6fa0315bcfe592224671">PFF_HASALPHA</a>        = 0x00000001,      
<a name="l00167"></a>00167         <span class="comment">// This format is compressed. This invalidates the values in elemBytes,</span>
<a name="l00168"></a>00168         <span class="comment">// elemBits and the bit counts as these might not be fixed in a compressed format.</span>
<a name="l00169"></a><a class="code" href="group__Image.html#gga7d83be5f58ab829ae3c94ddcf7b68babadc2837f5c89ddec07247a374cee587a8">00169</a>         <a class="code" href="group__Image.html#gga7d83be5f58ab829ae3c94ddcf7b68babadc2837f5c89ddec07247a374cee587a8">PFF_COMPRESSED</a>    = 0x00000002,
<a name="l00170"></a>00170         <span class="comment">// This is a floating point format</span>
<a name="l00171"></a><a class="code" href="group__Image.html#gga7d83be5f58ab829ae3c94ddcf7b68baba212e4f47a7e014eef28315e2d1ffcdc2">00171</a>         <a class="code" href="group__Image.html#gga7d83be5f58ab829ae3c94ddcf7b68baba212e4f47a7e014eef28315e2d1ffcdc2">PFF_FLOAT</a>           = 0x00000004,         
<a name="l00172"></a>00172         <span class="comment">// This is a depth format (for depth textures)</span>
<a name="l00173"></a><a class="code" href="group__Image.html#gga7d83be5f58ab829ae3c94ddcf7b68baba59f8dc2c75447edfa72e8d8361ce00a0">00173</a>         <a class="code" href="group__Image.html#gga7d83be5f58ab829ae3c94ddcf7b68baba59f8dc2c75447edfa72e8d8361ce00a0">PFF_DEPTH</a>           = 0x00000008,
<a name="l00174"></a>00174         <span class="comment">// Format is in native endian. Generally true for the 16, 24 and 32 bits</span>
<a name="l00175"></a>00175         <span class="comment">// formats which can be represented as machine integers.</span>
<a name="l00176"></a><a class="code" href="group__Image.html#gga7d83be5f58ab829ae3c94ddcf7b68baba1fe2f5a4cbcca90fe4d97f3495ebddaf">00176</a>         <a class="code" href="group__Image.html#gga7d83be5f58ab829ae3c94ddcf7b68baba1fe2f5a4cbcca90fe4d97f3495ebddaf">PFF_NATIVEENDIAN</a>    = 0x00000010,
<a name="l00177"></a>00177         <span class="comment">// This is an intensity format instead of a RGB one. The luminance</span>
<a name="l00178"></a>00178         <span class="comment">// replaces R,G and B. (but not A)</span>
<a name="l00179"></a><a class="code" href="group__Image.html#gga7d83be5f58ab829ae3c94ddcf7b68baba16054f98e65973baaaf0a7906d4597a4">00179</a>         <a class="code" href="group__Image.html#gga7d83be5f58ab829ae3c94ddcf7b68baba16054f98e65973baaaf0a7906d4597a4">PFF_LUMINANCE</a>       = 0x00000020
<a name="l00180"></a>00180     };
<a name="l00181"></a>00181     
<a name="l00183"></a><a class="code" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">00183</a>     <span class="keyword">enum</span> <a class="code" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe" title="Pixel component format.">PixelComponentType</a>
<a name="l00184"></a>00184     {
<a name="l00185"></a><a class="code" href="group__Image.html#ggac8f59c884998d9f84d9ea4c66e4c29fea99e711d125921bab18616e433a8a7a4f">00185</a>         <a class="code" href="group__Image.html#ggac8f59c884998d9f84d9ea4c66e4c29fea99e711d125921bab18616e433a8a7a4f">PCT_BYTE</a> = 0,    
<a name="l00186"></a><a class="code" href="group__Image.html#ggac8f59c884998d9f84d9ea4c66e4c29fea727e4867d2bdb1cbcbbe6649877afa8d">00186</a>         <a class="code" href="group__Image.html#ggac8f59c884998d9f84d9ea4c66e4c29fea727e4867d2bdb1cbcbbe6649877afa8d" title="Byte per component (8 bit fixed 0.0..1.0)">PCT_SHORT</a> = 1,   
<a name="l00187"></a><a class="code" href="group__Image.html#ggac8f59c884998d9f84d9ea4c66e4c29fea0392260bc6fed0f2fdda641869de4b38">00187</a>         <a class="code" href="group__Image.html#ggac8f59c884998d9f84d9ea4c66e4c29fea0392260bc6fed0f2fdda641869de4b38" title="Short per component (16 bit fixed 0.0..1.0))">PCT_FLOAT16</a> = 2, 
<a name="l00188"></a><a class="code" href="group__Image.html#ggac8f59c884998d9f84d9ea4c66e4c29fea2baaf25269658514c08f895b965a3ad6">00188</a>         <a class="code" href="group__Image.html#ggac8f59c884998d9f84d9ea4c66e4c29fea2baaf25269658514c08f895b965a3ad6" title="16 bit float per component">PCT_FLOAT32</a> = 3, 
<a name="l00189"></a><a class="code" href="group__Image.html#ggac8f59c884998d9f84d9ea4c66e4c29fea9966a610c32b0e690c91a553b7b8a45e">00189</a>         <a class="code" href="group__Image.html#ggac8f59c884998d9f84d9ea4c66e4c29fea9966a610c32b0e690c91a553b7b8a45e" title="32 bit float per component">PCT_COUNT</a> = 4    
<a name="l00190"></a>00190     };
<a name="l00191"></a>00191     
<a name="l00197"></a><a class="code" href="classOgre_1_1PixelBox.html">00197</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory.">PixelBox</a>: <span class="keyword">public</span> <a class="code" href="structOgre_1_1Box.html" title="Structure used to define a box in a 3-D integer space.">Box</a>, <span class="keyword">public</span> <a class="code" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator...">ImageAlloc</a> {
<a name="l00198"></a>00198     <span class="keyword">public</span>:
<a name="l00200"></a><a class="code" href="classOgre_1_1PixelBox.html#a196c57b3cf61c1545c46896cff269efb">00200</a>         <a class="code" href="classOgre_1_1PixelBox.html#a196c57b3cf61c1545c46896cff269efb" title="Parameter constructor for setting the members manually.">PixelBox</a>() {}
<a name="l00201"></a><a class="code" href="classOgre_1_1PixelBox.html#a5a5191d05b7ec15bb97c98807c271f35">00201</a>         <a class="code" href="classOgre_1_1PixelBox.html#a5a5191d05b7ec15bb97c98807c271f35">~PixelBox</a>() {}
<a name="l00209"></a><a class="code" href="classOgre_1_1PixelBox.html#a422d941d56f9bb32134f304754e0d72d">00209</a>         <a class="code" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory.">PixelBox</a>(<span class="keyword">const</span> <a class="code" href="structOgre_1_1Box.html" title="Structure used to define a box in a 3-D integer space.">Box</a> &amp;extents, <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> pixelFormat, <span class="keywordtype">void</span> *pixelData=0):
<a name="l00210"></a>00210             <a class="code" href="structOgre_1_1Box.html" title="Structure used to define a box in a 3-D integer space.">Box</a>(extents), data(pixelData), format(pixelFormat)
<a name="l00211"></a>00211         {
<a name="l00212"></a>00212             setConsecutive();
<a name="l00213"></a>00213         }
<a name="l00223"></a><a class="code" href="classOgre_1_1PixelBox.html#ada7e7fab7d00e3c842a514fe7aa11b0d">00223</a>         <a class="code" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory.">PixelBox</a>(<span class="keywordtype">size_t</span> width, <span class="keywordtype">size_t</span> height, <span class="keywordtype">size_t</span> depth, <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> pixelFormat, <span class="keywordtype">void</span> *pixelData=0):
<a name="l00224"></a>00224             <a class="code" href="structOgre_1_1Box.html" title="Structure used to define a box in a 3-D integer space.">Box</a>(0, 0, 0, width, height, depth),
<a name="l00225"></a>00225             data(pixelData), format(pixelFormat)
<a name="l00226"></a>00226         {
<a name="l00227"></a>00227             setConsecutive();
<a name="l00228"></a>00228         }
<a name="l00229"></a>00229         
<a name="l00231"></a><a class="code" href="classOgre_1_1PixelBox.html#ac4fe215e13fc38d6a45e0c40ee2f1425">00231</a>         <span class="keywordtype">void</span> *<a class="code" href="classOgre_1_1PixelBox.html#ac4fe215e13fc38d6a45e0c40ee2f1425" title="The data pointer.">data</a>;
<a name="l00233"></a><a class="code" href="classOgre_1_1PixelBox.html#aa4101fdc288dc41dddac88440b4d0818">00233</a>         <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> <a class="code" href="classOgre_1_1PixelBox.html#aa4101fdc288dc41dddac88440b4d0818" title="The pixel format.">format</a>;
<a name="l00238"></a><a class="code" href="classOgre_1_1PixelBox.html#aacf8f1ebed40c557389d9d1e9dda3b68">00238</a>         <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1PixelBox.html#aacf8f1ebed40c557389d9d1e9dda3b68" title="Number of elements between the leftmost pixel of one row and the left pixel of the next...">rowPitch</a>;
<a name="l00244"></a><a class="code" href="classOgre_1_1PixelBox.html#a5f4ac4f2e735678fc8b3ddc1068674dd">00244</a>         <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1PixelBox.html#a5f4ac4f2e735678fc8b3ddc1068674dd" title="Number of elements between the top left pixel of one (depth) slice and the top left pixel of the next...">slicePitch</a>;
<a name="l00245"></a>00245         
<a name="l00249"></a><a class="code" href="classOgre_1_1PixelBox.html#a69fea3b4fed6726ee578519ec05bd246">00249</a>         <span class="keywordtype">void</span> setConsecutive()
<a name="l00250"></a>00250         {
<a name="l00251"></a>00251             rowPitch = getWidth();
<a name="l00252"></a>00252             slicePitch = getWidth()*getHeight();
<a name="l00253"></a>00253         }
<a name="l00258"></a><a class="code" href="classOgre_1_1PixelBox.html#a6c57caf05a1a9c91780f6602bec71402">00258</a>         <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1PixelBox.html#a6c57caf05a1a9c91780f6602bec71402" title="Get the number of elements between one past the rightmost pixel of one row and the leftmost pixel of ...">getRowSkip</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> rowPitch - getWidth(); }
<a name="l00263"></a><a class="code" href="classOgre_1_1PixelBox.html#a27f6e0e9f80a2a3397ef5550875cee97">00263</a>         <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1PixelBox.html#a27f6e0e9f80a2a3397ef5550875cee97" title="Get the number of elements between one past the right bottom pixel of one slice and the left top pixe...">getSliceSkip</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> slicePitch - (getHeight() * rowPitch); }
<a name="l00264"></a>00264 
<a name="l00268"></a><a class="code" href="classOgre_1_1PixelBox.html#a37865dea7e66ea41c9c47f8a52a55892">00268</a>         <span class="keywordtype">bool</span> isConsecutive()<span class="keyword"> const </span>
<a name="l00269"></a>00269 <span class="keyword">        </span>{ 
<a name="l00270"></a>00270             <span class="keywordflow">return</span> rowPitch == getWidth() &amp;&amp; slicePitch == getWidth()*getHeight(); 
<a name="l00271"></a>00271         }
<a name="l00275"></a>00275         <span class="keywordtype">size_t</span> getConsecutiveSize() <span class="keyword">const</span>;
<a name="l00284"></a>00284         <a class="code" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory.">PixelBox</a> getSubVolume(<span class="keyword">const</span> <a class="code" href="structOgre_1_1Box.html" title="Structure used to define a box in a 3-D integer space.">Box</a> &amp;def) <span class="keyword">const</span>;
<a name="l00285"></a>00285         
<a name="l00291"></a>00291         <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> getColourAt(<span class="keywordtype">size_t</span> x, <span class="keywordtype">size_t</span> y, <span class="keywordtype">size_t</span> z);
<a name="l00292"></a>00292 
<a name="l00298"></a>00298         <span class="keywordtype">void</span> setColourAt(<a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> <span class="keyword">const</span> &amp;cv, <span class="keywordtype">size_t</span> x, <span class="keywordtype">size_t</span> y, <span class="keywordtype">size_t</span> z);
<a name="l00299"></a>00299     };
<a name="l00300"></a>00300     
<a name="l00301"></a>00301 
<a name="l00305"></a><a class="code" href="classOgre_1_1PixelUtil.html">00305</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1PixelUtil.html" title="Some utility functions for packing and unpacking pixel data.">PixelUtil</a> {
<a name="l00306"></a>00306     <span class="keyword">public</span>:
<a name="l00313"></a>00313         <span class="keyword">static</span> <span class="keywordtype">size_t</span> getNumElemBytes( <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format );
<a name="l00314"></a>00314 
<a name="l00321"></a>00321         <span class="keyword">static</span> <span class="keywordtype">size_t</span> getNumElemBits( <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format );
<a name="l00322"></a>00322 
<a name="l00340"></a>00340         <span class="keyword">static</span> <span class="keywordtype">size_t</span> getMemorySize(<span class="keywordtype">size_t</span> width, <span class="keywordtype">size_t</span> height, <span class="keywordtype">size_t</span> depth, <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format);
<a name="l00341"></a>00341         
<a name="l00349"></a>00349         <span class="keyword">static</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> getFlags( <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format );
<a name="l00350"></a>00350 
<a name="l00352"></a>00352         <span class="keyword">static</span> <span class="keywordtype">bool</span> hasAlpha(<a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format);
<a name="l00354"></a>00354         <span class="keyword">static</span> <span class="keywordtype">bool</span> isFloatingPoint(<a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format);
<a name="l00356"></a>00356         <span class="keyword">static</span> <span class="keywordtype">bool</span> isCompressed(<a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format);
<a name="l00358"></a>00358         <span class="keyword">static</span> <span class="keywordtype">bool</span> isDepth(<a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format);
<a name="l00360"></a>00360         <span class="keyword">static</span> <span class="keywordtype">bool</span> isNativeEndian(<a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format);
<a name="l00362"></a>00362         <span class="keyword">static</span> <span class="keywordtype">bool</span> isLuminance(<a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format);
<a name="l00363"></a>00363         
<a name="l00376"></a>00376         <span class="keyword">static</span> <span class="keywordtype">bool</span> isValidExtent(<span class="keywordtype">size_t</span> width, <span class="keywordtype">size_t</span> height, <span class="keywordtype">size_t</span> depth, <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format);
<a name="l00377"></a>00377 
<a name="l00381"></a>00381         <span class="keyword">static</span> <span class="keywordtype">void</span> getBitDepths(<a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format, <span class="keywordtype">int</span> rgba[4]);
<a name="l00382"></a>00382 
<a name="l00386"></a>00386         <span class="keyword">static</span> <span class="keywordtype">void</span> getBitMasks(<a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format, <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> rgba[4]);
<a name="l00387"></a>00387 
<a name="l00391"></a>00391         <span class="keyword">static</span> <span class="keywordtype">void</span> getBitShifts(<a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format, <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> rgba[4]);
<a name="l00392"></a>00392 
<a name="l00395"></a>00395         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> getFormatName(<a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> srcformat);
<a name="l00396"></a>00396 
<a name="l00404"></a>00404         <span class="keyword">static</span> <span class="keywordtype">bool</span> isAccessible(<a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> srcformat);
<a name="l00405"></a>00405         
<a name="l00410"></a>00410         <span class="keyword">static</span> <a class="code" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe" title="Pixel component format.">PixelComponentType</a> getComponentType(<a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> fmt);
<a name="l00411"></a>00411         
<a name="l00415"></a>00415         <span class="keyword">static</span> <span class="keywordtype">size_t</span> getComponentCount(<a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> fmt);
<a name="l00416"></a>00416 
<a name="l00424"></a>00424         <span class="keyword">static</span> <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> getFormatFromName(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keywordtype">bool</span> accessibleOnly = <span class="keyword">false</span>, <span class="keywordtype">bool</span> caseSensitive = <span class="keyword">false</span>);
<a name="l00425"></a>00425 
<a name="l00433"></a>00433         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> getBNFExpressionOfPixelFormats(<span class="keywordtype">bool</span> accessibleOnly = <span class="keyword">false</span>);
<a name="l00434"></a>00434 
<a name="l00444"></a>00444         <span class="keyword">static</span> <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> getFormatForBitDepths(<a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> fmt, <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> integerBits, <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> floatBits);
<a name="l00445"></a>00445 
<a name="l00451"></a>00451         <span class="keyword">static</span> <span class="keywordtype">void</span> packColour(<span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> &amp;colour, <span class="keyword">const</span> <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> pf,  <span class="keywordtype">void</span>* dest);
<a name="l00457"></a>00457         <span class="keyword">static</span> <span class="keywordtype">void</span> packColour(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> r, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> g, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> b, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> a, <span class="keyword">const</span> <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> pf,  <span class="keywordtype">void</span>* dest);
<a name="l00465"></a>00465         <span class="keyword">static</span> <span class="keywordtype">void</span> packColour(<span class="keyword">const</span> <span class="keywordtype">float</span> r, <span class="keyword">const</span> <span class="keywordtype">float</span> g, <span class="keyword">const</span> <span class="keywordtype">float</span> b, <span class="keyword">const</span> <span class="keywordtype">float</span> a, <span class="keyword">const</span> <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> pf,  <span class="keywordtype">void</span>* dest);
<a name="l00466"></a>00466 
<a name="l00472"></a>00472         <span class="keyword">static</span> <span class="keywordtype">void</span> unpackColour(<a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> *colour, <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> pf,  <span class="keyword">const</span> <span class="keywordtype">void</span>* src);
<a name="l00481"></a>00481         <span class="keyword">static</span> <span class="keywordtype">void</span> unpackColour(<a class="code" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> *r, <a class="code" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> *g, <a class="code" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> *b, <a class="code" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> *a, <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> pf,  <span class="keyword">const</span> <span class="keywordtype">void</span>* src);
<a name="l00487"></a>00487         <span class="keyword">static</span> <span class="keywordtype">void</span> unpackColour(<span class="keywordtype">float</span> *r, <span class="keywordtype">float</span> *g, <span class="keywordtype">float</span> *b, <span class="keywordtype">float</span> *a, <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> pf,  <span class="keyword">const</span> <span class="keywordtype">void</span>* src); 
<a name="l00488"></a>00488         
<a name="l00497"></a>00497         <span class="keyword">static</span> <span class="keywordtype">void</span> bulkPixelConversion(<span class="keywordtype">void</span> *src, <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> srcFormat, <span class="keywordtype">void</span> *dest, <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> dstFormat, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> count);
<a name="l00498"></a>00498 
<a name="l00506"></a>00506         <span class="keyword">static</span> <span class="keywordtype">void</span> bulkPixelConversion(<span class="keyword">const</span> <a class="code" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory.">PixelBox</a> &amp;src, <span class="keyword">const</span> <a class="code" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory.">PixelBox</a> &amp;dst);
<a name="l00507"></a>00507     };
<a name="l00511"></a>00511 }
<a name="l00512"></a>00512 
<a name="l00513"></a>00513 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:51
</p>
</body>
</html>
